ruby-unit error in .json .pdf .csv

2011-07-15 16:06 - David Roncancio

Status: Closed Start date: 2011-06-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This happends when trying to export anything to the mentioned formats (Atom, csv, pdf)

Redmine 1.2.0.stable.6123 (MySQL)

MySQL 5.1

Ruby 1.8.7

Rails 2.3.11

ArgumentError ('.pdf' Unit not recognized):

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/unit.rb:1228:in `parse'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/unit.rb:243:in `initialize'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/string.rb:5:in `new'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/string.rb:5:in `unit'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/string.rb:34:in `from'

generated code (actionpack (2.3.11) lib/action_controller/routing/route.rb:205):14:in `recognize'

(recognize_optimized):8:in `recognize_optimized'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /usr/share/redmine-1.2/public/500.html (500 Internal Server Error)

History

#1 - 2011-07-15 16:31 - David Roncancio

I did an SVN update as i understood here

http://forum.redminebacklogs.net/ArgumentError-pdf-Unit-not-recognized-td3114666.html

getting to

Redmine 1.2.1.stable.6273 (MySQL)

Im also trying a Mylyn integration wich happends to fail because of the same error

ArgumentError ('.xml' Unit not recognized):

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/unit.rb:1228:in `parse'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/unit.rb:243:in `initialize'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/string.rb:5:in `new'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/string.rb:5:in `unit'

/var/lib/gems/1.8/gems/ruby-units-1.3.1/lib/ruby_units/string.rb:34:in `from'

generated code (actionpack (2.3.11) lib/action_controller/routing/route.rb:205):14:in `recognize'

(recognize_optimized):8:in `recognize_optimized'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'
/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /usr/share/redmine-1.2/public/500.html (500 Internal Server Error)

#2 - 2011-08-31 08:39 - Jean-Baptiste Barth

- Priority changed from High to Normal

Can you provide information requested in SubmittingBugs ? ruby-units is not part of redmine core itself as far as I know, so the problem might be in a

plugin. A google search showed the redmine backlogs plugin used to have this problem but it's now fixed in latest versions.

#3 - 2011-08-31 15:27 - David Roncancio

- Status changed from New to Resolved

Yes this problem got solved with the plugin update and recommendations, it is working fine now thanks

#4 - 2011-08-31 15:49 - Etienne Massip

- Status changed from Resolved to Closed

#5 - 2011-10-25 12:35 - Edgar Lara

SPAM

Powered by TCPDF (www.tcpdf.org)

2025-07-03 2/2

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://www.tcpdf.org

